summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-05-08 02:30:46 +0200
committerThomas Deutschmann <whissi@gentoo.org>2018-05-08 02:30:46 +0200
commite9fd197d216dbb1a30f3d3c1adcf578560b8fcdd (patch)
tree657a1a6f6becc255587b6178ba7a06ac064d8973
parentsci-visualization/gnuplot: x86 stable (bug #655222) (diff)
downloadgentoo-e9fd197d216dbb1a30f3d3c1adcf578560b8fcdd.tar.gz
gentoo-e9fd197d216dbb1a30f3d3c1adcf578560b8fcdd.tar.bz2
gentoo-e9fd197d216dbb1a30f3d3c1adcf578560b8fcdd.zip
sys-kernel/genkernel: Bump to v3.5.3.3
Bug: https://bugs.gentoo.org/655110 Package-Manager: Portage-2.3.34, Repoman-2.3.9
-rw-r--r--sys-kernel/genkernel/Manifest1
-rw-r--r--sys-kernel/genkernel/genkernel-3.5.3.3.ebuild159
2 files changed, 160 insertions, 0 deletions
diff --git a/sys-kernel/genkernel/Manifest b/sys-kernel/genkernel/Manifest
index 0e74e24b40e..f37acbca832 100644
--- a/sys-kernel/genkernel/Manifest
+++ b/sys-kernel/genkernel/Manifest
@@ -15,6 +15,7 @@ DIST genkernel-3.5.2.3.tar.xz 317280 BLAKE2B 0dcc85dc67fde24bff7d6e86fef5967ae81
DIST genkernel-3.5.2.4.tar.xz 318152 BLAKE2B 101bd8011b73699a3d8410fcb93adca2417254f05dc4657e583b17a449ba68aa08a3969c93cf558faab751efdcffc1dc8181003a0be0a2c3c8edcd03f09fe943 SHA512 2490ad2c6bacda87c848f8e216318e41f76cc25459c1960d0a10c5ad5768736a527cb954ed2c41ad1f52f53a37ca8c049a56793e97a3cb598b3cc4e436156a74
DIST genkernel-3.5.2.5.tar.xz 318652 BLAKE2B 9b0e1b07f61b54edc1d263cc679b36d7e9062fd1e7cf11fc9442cf60b217274bc73425150ca963b6a91cd504d7817a852fa5bf4ad7634ff8d1ec3b43748ded41 SHA512 096aa77f4a52afefcef81ff6c7eb281e539af304854572389e38bbdd735ca723c7a5f2f7163fa9f387e3a2a78a2ba117260f1c8396ed4e51e12a91ad0fb0ff90
DIST genkernel-3.5.3.2.tar.xz 320644 BLAKE2B 14eaf05aab02287c3dbb98f1a596e73bcbea39ceb2c8e44c5bdbb77b656958cee666f4353a2401bad531c2a7a98ee11b2531b251c19edc86db517cf3cc2869ec SHA512 1bee8ebdb8c2c30e90e0a1c573ad09b0eb79da54f0829859305eb50ffab95e69aa219ce82d4969140dea3d8788d66d3490fc03d38e190b533666e9278c7f96a6
+DIST genkernel-3.5.3.3.tar.xz 331180 BLAKE2B 0f83b973505ccb0a92ae24e92509710bf96991f36ca55975ffefdf1bd3e835bd72bb413688468a05e6a5fff2ec16e64816f8ccfe2530c9f1e9169d19a86a2231 SHA512 9170731f59a1476aa597549ac55feb3583bed249e50d1697292571caf25c5ca746a1db9e811f2009d55aea21d739ef0ab3e385acd81504bbbccc8f7346205d71
DIST gnupg-1.4.11.tar.bz2 3407075 BLAKE2B 85d35d2e4da65d54add1010ea0486b943b328785e28c4efcaa2b65daafd53410a355d1df79ae45c5f7767d2eb7ff1f0b9637f417e65b084d2c760a281abd317a SHA512 97e7b8b0f972cc2f7cabdb0e013cbee1c33e7d48407d040cca5c2037e32abe1c2100194be7d3b569d4f05eb16b24c205a5b83f06718f0241f8d4ee174f1c37ae
DIST gnupg-1.4.22.tar.bz2 3746546 BLAKE2B 9a2d37eeab10f2a7353804098e865ad45db846696a00a47f5bebf47145f79e0d2bf9c01c0195e2fe79af07946a3feac0d4589656c3e698a3a548ff1dd74ce759 SHA512 c03acac0fa55761470bb085d78a44e2b99ebb187e8396cbb031a184b1e40bef2a40c91da07755d1a20610a3daa6aa1eefea2d12a0dbd5a79a45466166419c708
DIST mdadm-3.1.5.tar.bz2 292709 BLAKE2B a21fb41c6fd9f332e358339537cffd520788140976bf37fece072ee15eb512b1455e3a927abca0a4315e59659d3d114e407bb98a0ca8e6e559e1d1b83be4abbf SHA512 6fcf426d63ede01f99ebeee9be686857a04f9b601b37f76722c091ae2999b3ff66fdba52d47323f27900553125a897fc1815fe7be850aa9cc991dd5fa91a5d5d
diff --git a/sys-kernel/genkernel/genkernel-3.5.3.3.ebuild b/sys-kernel/genkernel/genkernel-3.5.3.3.ebuild
new file mode 100644
index 00000000000..8f31925c7a0
--- /dev/null
+++ b/sys-kernel/genkernel/genkernel-3.5.3.3.ebuild
@@ -0,0 +1,159 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# genkernel-9999 -> latest Git branch "master"
+# genkernel-VERSION -> normal genkernel release
+
+EAPI=5 # approved 2012.09.11, required by all profiles since 2014.03.12
+
+inherit bash-completion-r1 epatch
+
+VERSION_BUSYBOX='1.27.2' # warning, be sure to bump patches
+VERSION_DMRAID='1.0.0.rc16-3' # warning, be sure to bump patches
+VERSION_MDADM='4.0' # warning, be sure to bump patches
+VERSION_FUSE='2.8.6' # warning, be sure to bump patches
+VERSION_ISCSI='2.0-872' # warning, be sure to bump patches
+VERSION_LVM='2.02.173' # warning, be sure to bump patches
+VERSION_UNIONFS_FUSE='0.24'
+VERSION_GPG='1.4.22'
+
+RH_HOME="ftp://sourceware.org/pub"
+DM_HOME="https://people.redhat.com/~heinzm/sw/dmraid/src"
+BB_HOME="https://busybox.net/downloads"
+
+COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
+ ${DM_HOME}/old/dmraid-${VERSION_DMRAID}.tar.bz2
+ mirror://kernel/linux/utils/raid/mdadm/mdadm-${VERSION_MDADM}.tar.xz
+ ${RH_HOME}/lvm2/LVM2.${VERSION_LVM}.tgz
+ ${RH_HOME}/lvm2/old/LVM2.${VERSION_LVM}.tgz
+ ${BB_HOME}/busybox-${VERSION_BUSYBOX}.tar.bz2
+ http://www.open-iscsi.org/bits/open-iscsi-${VERSION_ISCSI}.tar.gz
+ mirror://gentoo/open-iscsi-${VERSION_ISCSI}.tar.gz
+ mirror://sourceforge/fuse/fuse-${VERSION_FUSE}.tar.gz
+ http://podgorny.cz/unionfs-fuse/releases/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2
+ mirror://gentoo/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2
+ mirror://gnupg/gnupg/gnupg-${VERSION_GPG}.tar.bz2"
+
+if [[ ${PV} == 9999* ]]
+then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/${PN}.git"
+ inherit git-r3
+ S="${WORKDIR}/${PN}"
+ SRC_URI="${COMMON_URI}"
+else
+ SRC_URI="mirror://gentoo/${P}.tar.xz
+ ${COMMON_URI}"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+fi
+
+DESCRIPTION="Gentoo automatic kernel building scripts"
+HOMEPAGE="https://www.gentoo.org"
+
+LICENSE="GPL-2"
+SLOT="0"
+RESTRICT=""
+IUSE="cryptsetup ibm +firmware selinux"
+
+DEPEND="sys-fs/e2fsprogs
+ selinux? ( sys-libs/libselinux )"
+RDEPEND="${DEPEND}
+ cryptsetup? ( sys-fs/cryptsetup )
+ app-arch/cpio
+ >=app-misc/pax-utils-1.2.2
+ sys-apps/util-linux[static-libs(+)]
+ firmware? ( sys-kernel/linux-firmware )
+ !<sys-apps/openrc-0.9.9"
+# pax-utils is used for lddtree
+
+if [[ ${PV} == 9999* ]]; then
+ DEPEND="${DEPEND} app-text/asciidoc"
+fi
+
+pkg_pretend() {
+ if ! use cryptsetup && has_version "sys-kernel/genkernel[crypt]"; then
+ ewarn "Local use flag 'crypt' has been renamed to 'cryptsetup' (bug #414523)."
+ ewarn "Please set flag 'cryptsetup' for this very package if you would like"
+ ewarn "to have genkernel create an initramfs with LUKS support."
+ ewarn "Sorry for the inconvenience."
+ echo
+ fi
+}
+
+src_prepare() {
+ if [[ ${PV} == 9999* ]] ; then
+ einfo "Updating version tag"
+ GK_V="$(git describe --tags | sed 's:^v::')-git"
+ sed "/^GK_V/s,=.*,='${GK_V}',g" -i "${S}"/genkernel
+ einfo "Producing ChangeLog from Git history..."
+ pushd "${S}/.git" >/dev/null || die
+ git log > "${S}"/ChangeLog || die
+ popd >/dev/null || die
+ fi
+ if use selinux ; then
+ sed -i 's/###//g' "${S}"/gen_compile.sh || die
+ fi
+
+ # Update software.sh
+ sed -i \
+ -e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
+ -e "s:VERSION_MDADM:$VERSION_MDADM:" \
+ -e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
+ -e "s:VERSION_FUSE:$VERSION_FUSE:" \
+ -e "s:VERSION_ISCSI:$VERSION_ISCSI:" \
+ -e "s:VERSION_LVM:$VERSION_LVM:" \
+ -e "s:VERSION_UNIONFS_FUSE:$VERSION_UNIONFS_FUSE:" \
+ -e "s:VERSION_GPG:$VERSION_GPG:" \
+ "${S}"/defaults/software.sh \
+ || die "Could not adjust versions"
+
+ epatch_user
+}
+
+src_compile() {
+ if [[ ${PV} == 9999* ]]; then
+ emake
+ fi
+}
+
+src_install() {
+ insinto /etc
+ doins "${S}"/genkernel.conf
+
+ doman genkernel.8
+ dodoc AUTHORS ChangeLog README TODO
+ dobin genkernel
+ rm -f genkernel genkernel.8 AUTHORS ChangeLog README TODO genkernel.conf
+
+ if use ibm ; then
+ cp "${S}"/arch/ppc64/kernel-2.6{-pSeries,} || die
+ else
+ cp "${S}"/arch/ppc64/kernel-2.6{.g5,} || die
+ fi
+ insinto /usr/share/genkernel
+ doins -r "${S}"/*
+
+ newbashcomp "${FILESDIR}"/genkernel.bash "${PN}"
+ insinto /etc
+ doins "${FILESDIR}"/initramfs.mounts
+
+ cd "${DISTDIR}"
+ insinto /usr/share/genkernel/distfiles
+ doins ${A/${P}.tar.xz/}
+}
+
+pkg_postinst() {
+ echo
+ elog 'Documentation is available in the genkernel manual page'
+ elog 'as well as the following URL:'
+ echo
+ elog 'https://wiki.gentoo.org/wiki/Genkernel'
+ echo
+ ewarn "This package is known to not work with reiser4. If you are running"
+ ewarn "reiser4 and have a problem, do not file a bug. We know it does not"
+ ewarn "work and we don't plan on fixing it since reiser4 is the one that is"
+ ewarn "broken in this regard. Try using a sane filesystem like ext4."
+ echo
+ ewarn "The LUKS support has changed from versions prior to 3.4.4. Now,"
+ ewarn "you use crypt_root=/dev/blah instead of real_root=luks:/dev/blah."
+ echo
+}